---
title: docker_engine
type: docs
---

[![Source Code](https://img.shields.io/badge/gitea-source%20code-blue?logo=gitea&amp;logoColor=white)](https://gitea.rknet.org/ansible/xoxys.docker_engine)
[![Build Status](https://img.shields.io/drone/build/ansible/xoxys.docker_engine?logo=drone&amp;server=https%3A%2F%2Fdrone.rknet.org)](https://drone.rknet.org/ansible/xoxys.docker_engine)
[![License: MIT](https://img.shields.io/badge/license-MIT-blue.svg)](https://gitea.rknet.org/ansible/xoxys.docker_engine/src/branch/main/LICENSE)

Setup docker engine.

<!--more-->

- [Default Variables](#default-variables)
  - [docker_ansible_deps](#docker_ansible_deps)
  - [dockerengine_daemon_config](#dockerengine_daemon_config)
  - [dockerengine_daemon_config_extra](#dockerengine_daemon_config_extra)
  - [dockerengine_docker_group_enabled](#dockerengine_docker_group_enabled)
  - [dockerengine_http_proxy](#dockerengine_http_proxy)
  - [dockerengine_https_proxy](#dockerengine_https_proxy)
  - [dockerengine_networks](#dockerengine_networks)
  - [dockerengine_networks_extra](#dockerengine_networks_extra)
  - [dockerengine_no_proxy](#dockerengine_no_proxy)
  - [dockerengine_nsremap_range_length](#dockerengine_nsremap_range_length)
  - [dockerengine_nsremap_range_start](#dockerengine_nsremap_range_start)
  - [dockerengine_nsremap_user](#dockerengine_nsremap_user)
  - [dockerengine_packages](#dockerengine_packages)
  - [dockerengine_packages_extra](#dockerengine_packages_extra)
  - [dockerengine_registries](#dockerengine_registries)
  - [dockerengine_service](#dockerengine_service)
  - [dockerengine_usernamespace_enabled](#dockerengine_usernamespace_enabled)
- [Dependencies](#dependencies)

---

## Default Variables

### docker_ansible_deps

#### Default value

```YAML
docker_ansible_deps:
  - cryptography~=2.0
  - docker-compose~=1.24.0
  - docker
```

### dockerengine_daemon_config

#### Default value

```YAML
dockerengine_daemon_config:
  - selinux-enabled: false
  - log-driver: journald
  - log-level: info
  - live-restore: true
```

### dockerengine_daemon_config_extra

#### Default value

```YAML
dockerengine_daemon_config_extra: []
```

### dockerengine_docker_group_enabled

#### Default value

```YAML
dockerengine_docker_group_enabled: false
```

### dockerengine_http_proxy

#### Default value

```YAML
dockerengine_http_proxy: _unset_
```

### dockerengine_https_proxy

#### Default value

```YAML
dockerengine_https_proxy: _unset
```

### dockerengine_networks

List of extra docker networks to create. For configuration detials see `docker_networks`.

#### Default value

```YAML
dockerengine_networks: []
```

#### Example usage

```YAML
dockerengine_networks:
  - name: my_network
    driver: bridge
    enable_ipv6: True
    ipam_config:
      - subnet: fdd1:ac8c:0557:7ce1::/64
    force: False
    state: present
```

### dockerengine_networks_extra

#### Default value

```YAML
dockerengine_networks_extra: []
```

### dockerengine_no_proxy

#### Default value

```YAML
dockerengine_no_proxy: _unset_
```

### dockerengine_nsremap_range_length

#### Default value

```YAML
dockerengine_nsremap_range_length: 65536
```

### dockerengine_nsremap_range_start

#### Default value

```YAML
dockerengine_nsremap_range_start: 231072
```

### dockerengine_nsremap_user

#### Default value

```YAML
dockerengine_nsremap_user: dockremap
```

### dockerengine_packages

#### Default value

```YAML
dockerengine_packages:
  - docker-ce
  - docker-ce-cli
  - containerd.io
  - docker-buildx-plugin
  - docker-compose-plugin
```

### dockerengine_packages_extra

The role requires epel repository and pip to work. You can use
`dockerengine_packages_extra` to install these dependencys.

#### Default value

```YAML
dockerengine_packages_extra: []
```

### dockerengine_registries

List of docker registries to auto login

#### Default value

```YAML
dockerengine_registries: []
```

#### Example usage

```YAML
dockerengine_registries:
  - registry: myregistry.example.com (optional)
    username: docker
    password: secure
    reauthorize: False
    state: present
```

### dockerengine_service

#### Default value

```YAML
dockerengine_service: docker
```

### dockerengine_usernamespace_enabled

#### Default value

```YAML
dockerengine_usernamespace_enabled: false
```



## Dependencies

None.
